#pragma once
#include "../Globalincludes.h"

namespace Misc {
	class CUtilities
	{
	public:
		float deltaTime = 0.f;

		void Console_Create(std::string title = "");
		void Console_Close();
		void Console_Log(const char* text, ...);
		void Console_SetTitle(std::string title);

		LRESULT WndProcHandler(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam);
		bool IsAnyMouseDown();

		float GetDeltaTime();

		std::string GetCurrentDirectory();
	private:
		bool MouseDown[5];
		bool KeysDown[512];

		FILE* m_pOutputFile = nullptr;
		HANDLE m_hOldOutput = NULL, m_hOutput = NULL;
	};
	extern std::unique_ptr<CUtilities> Utilities;
}
